
Redmine - Defect #2719

Increase username length limit from 30 to 60

2009-02-11 15:16 - Alexander Pavlov

Status: Closed Start date: 2010-09-21

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed Affected version:  

Description

We use LDAP authorization and our logins consist of firstname.lastname.companyname.

As result, we faced problem with registering new users within Redmine.

Could you please increase username lenght limit to 60 or more?

Related issues:

Related to Redmine - Defect #8450: redmine:email:receive_imap fails silently ... Closed 2011-05-27

Related to Redmine - Feature #36825: Increase email address length limit from... Closed

Has duplicate Redmine - Defect #4991: varchar(30) for login is too short when... Closed 2010-03-05

Follows Redmine - Feature #6446: Remove length limits on project identifier a... Closed 2010-09-20

Associated revisions

Revision 8778 - 2012-02-05 12:50 - Jean-Philippe Lang

Increase username length limit from 30 to 60 (#2719).

History

#1 - 2009-03-06 03:16 - Enderson Maia

- File 0001-Fixes-2719.patch added

Added a patch that fixes it on 0.8-stable

#2 - 2009-03-06 12:11 - Alexander Pavlov

Enderson Maia wrote:

Added a patch that fixes it on 0.8-stable

 Thank you, Enderson!

#3 - 2010-04-22 18:09 - Ludovic Gasc

+1 for this feature, it's useful if the e-mail = login.

The patch seems to work correctly on the 0.9 branch.

#4 - 2010-05-25 13:20 - Jens Peter Kempkes

working on 0.9.3 stable I saw this issue. When will this patch be merge into the stable branch?

#5 - 2010-07-28 16:44 - Enderson Maia

My http://github.com/enderson/redmine has this patch applyed, I think it could be easily merged into trunk.

#6 - 2011-03-17 10:28 - Etienne Massip

- Target version set to Candidate for next major release

#7 - 2011-03-17 23:17 - Cheyenne Wills
If possible, could this be bumped into a "sooner" release??  (if not I assume the above patch will work against the current stable).

Thanks

#8 - 2011-04-21 13:21 - Jochen Manz

bump, i also need it!

#9 - 2011-09-05 08:49 - Peter Fern

Upvote.

#10 - 2011-10-25 20:12 - Bruno Bigras

- File 2017_change_max_username_length.patch added

Here's an updated quilt version of the patch that I'm using with the Ubuntu package from the PPA.

I had to change "ChangeUserNameLimit" to "ChangeUserLoginLimit" to match the file name for the migration to works.

#11 - 2011-12-18 14:50 - James Birmingham

This has taken a long time to be resolved, their is also #4991.

Can we be sure that when this does get added into a release that the database schema is also updated as the constraint is present there also, which

the above patch seems to miss.

#12 - 2011-12-18 15:01 - James Birmingham

Can we get the priority raised on this, as it is a blocking issue for users we legacy accounts to integrate with Redmine.

#13 - 2012-02-05 12:51 - Jean-Philippe Lang

- Due date deleted (2010-09-21)

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 1.4.0

- Resolution set to Fixed

Change done in r8778. Username and email address can now be 60 characters long.

#14 - 2022-03-23 00:30 - Go MAEDA

- Related to Feature #36825: Increase email address length limit from 60 to 254 added

Files

0001-Fixes-2719.patch 1.61 KB 2009-03-06 Enderson Maia

2017_change_max_username_length.patch 1.84 KB 2011-10-25 Bruno Bigras
